import { OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class ClipboardComponent implements OnInit {
    private themesService;
    clipboardData: string;
    tooltipPosition: 'top' | 'bottom' | 'left' | 'right';
    preCopyText: string;
    postCopyText: string;
    tooltipText: string;
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    copyToClipboard(): Promise<void>;
    /**
     * Asynchronously copies text to the clipboard.
     * @param clipboardData The text to be copied to the clipboard.
     */
    copy(clipboardData: string): Promise<void>;
    /**
     * Asynchronously copies text to the clipboard using the modern Clipboard API.
     * @param clipboardData The text to be copied to the clipboard.
     */
    copyModern(clipboardData: string): Promise<void>;
    /**
     * Asynchronously copies text to the clipboard using a legacy method.
     * @param clipboardData The text to be copied to the clipboard.
     * @returns A Promise that resolves with a boolean indicating success.
     */
    copyLegacy(clipboardData: string): Promise<boolean>;
    revertTooltipText(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClipboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClipboardComponent, "lib-clipboard", never, { "clipboardData": { "alias": "clipboardData"; "required": false; }; "tooltipPosition": { "alias": "tooltipPosition"; "required": false; }; "preCopyText": { "alias": "preCopyText"; "required": false; }; "postCopyText": { "alias": "postCopyText"; "required": false; }; }, {}, never, never, false, never>;
}
